Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/berrytools.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/berrytools.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/berrytools.xsl	(revision 24007)
@@ -3,7 +3,6 @@
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:java="http://xml.apache.org/xslt/java"
-  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
-  extension-element-prefixes="java util"
-  exclude-result-prefixes="java util">
+  extension-element-prefixes="java"
+  exclude-result-prefixes="java">
 
   <xsl:param name="berryBaskets"/>
@@ -79,5 +78,5 @@
      var checkout = function(){
        var request_type = "GET";
-       var url = "?a=pr&amp;rt=r&amp;ro=1&amp;s=ItemNum&amp;o=XML&amp;c="; 
+       var url = "?a=pr&amp;amp;rt=r&amp;amp;ro=1&amp;amp;s=ItemNum&amp;amp;o=XML&amp;amp;c="; 
  
          var responseSuccess = function(o){
@@ -97,12 +96,12 @@
                     parent.removeChild(item);
                    
-                   if (parent !=null &amp;&amp; parent.id == "documentberries"){
+                   if (parent !=null &amp;amp;&amp;amp; parent.id == "documentberries"){
                          var root = YAHOO.util.Dom.get(itemID+":root");
                          var section = YAHOO.util.Dom.get(itemID+":section");
-                         if(root!=null &amp;&amp; root.id.indexOf(itemID) !=-1){
+                         if(root!=null &amp;amp;&amp;amp; root.id.indexOf(itemID) !=-1){
                              parent.removeChild(root);
                           }
      
-	                  if(section!=null &amp;&amp; section.id.indexOf(itemID) !=-1){
+	                  if(section!=null &amp;amp;&amp;amp; section.id.indexOf(itemID) !=-1){
                              parent.removeChild(section);
         	          }
@@ -130,12 +129,12 @@
                    
                    
-                   if (parent !=null &amp;&amp; parent.id == "documentberries"){
+                   if (parent !=null &amp;amp;&amp;amp; parent.id == "documentberries"){
                          var root = YAHOO.util.Dom.get(berry.id+":root");
                          var section = YAHOO.util.Dom.get(berry.id+":section");
-                         if(root!=null &amp;&amp; root.id.indexOf(berry.id) !=-1){
+                         if(root!=null &amp;amp;&amp;amp; root.id.indexOf(berry.id) !=-1){
                              root.style.visibility ="visible" ;
                           }
      
-	                  if(section!=null &amp;&amp; section.id.indexOf(berry.id) !=-1){
+	                  if(section!=null &amp;amp;&amp;amp; section.id.indexOf(berry.id) !=-1){
                              section.style.visibility ="visible" ;
         	          }
@@ -144,5 +143,5 @@
                      }  
 
-               if (berry.className  &amp;&amp;  berry.className  == 'pick')
+               if (berry.className  &amp;amp;&amp;amp;  berry.className  == 'pick')
                   { 
                     berry.style.visibility = "visible";
@@ -168,5 +167,5 @@
     function updateBerryImages(){
      
-      for (var i =0;i &lt; berryList.length &amp;&amp; i &lt;12 ; i++ ){
+      for (var i =0;i &lt; berryList.length &amp;amp;&amp;amp; i &lt;12 ; i++ ){
                var berries = YAHOO.util.Dom.get('berries');
                var img = document.createElement('img');
@@ -183,10 +182,10 @@
 		var target = e.target;
                
-		if ((target.id.toLowerCase() == 'berrybasket' || target.id.toLowerCase() == 'berries')  &amp;&amp; !show){
+		if ((target.id.toLowerCase() == 'berrybasket' || target.id.toLowerCase() == 'berries')  &amp;amp;&amp;amp; !show){
 	       	    showBasket();
                     show = true;
                 }
                 else{
-                    if (target.id.toLowerCase() == 'hideview' &amp;&amp; show){
+                    if (target.id.toLowerCase() == 'hideview' &amp;amp;&amp;amp; show){
                        hideBasket();
                        show = false;
@@ -264,5 +263,5 @@
         fullView.appendChild(document.createTextNode("Full View"));
         hideView.setAttribute("id","hideview");
-        fullView.setAttribute("href","?a=g&amp;sa=berry&amp;c=&amp;s=DisplayList&amp;rt=r");
+        fullView.setAttribute("href","?a=g&amp;amp;sa=berry&amp;amp;c=&amp;amp;s=DisplayList&amp;amp;rt=r");
         fullView.setAttribute("class","fullview");
 
@@ -293,5 +292,5 @@
 
      function addBerry(el){
-      var  addurl = "?a=pr&amp;rt=r&amp;ro=1&amp;s=AddItem&amp;c=&amp;s1.id=2&amp;o=XML&amp;s1.item=" + el.id;	   
+      var  addurl = "?a=pr&amp;amp;rt=r&amp;amp;ro=1&amp;amp;s=AddItem&amp;amp;c=&amp;amp;s1.id=2&amp;amp;o=XML&amp;amp;s1.item=" + el.id;	   
       var addSuccess = function(o){ 
  		 var result = o.responseXML;
@@ -307,17 +306,17 @@
                
                      var itemID = item.getAttribute('collection')+":"+item.getAttribute('name'); 
-                    if (parent !=null  &amp;&amp; parent.id == "documentberries"){
+                    if (parent !=null  &amp;amp;&amp;amp; parent.id == "documentberries"){
                          var root = YAHOO.util.Dom.get(itemID+":root");
                          var section = YAHOO.util.Dom.get(itemID+":section");
-                         if(root!=null  &amp;&amp; root.id.indexOf(itemID) !=-1){
+                         if(root!=null  &amp;amp;&amp;amp; root.id.indexOf(itemID) !=-1){
                              parent.removeChild(root);
                           }
      
-	                  if(section!=null  &amp;&amp; section.id.indexOf(itemID) !=-1){
+	                  if(section!=null  &amp;amp;&amp;amp; section.id.indexOf(itemID) !=-1){
                              parent.removeChild(section);
         	          }                                                
                      }
 
-                    if (!YAHOO.util.Dom.get('hideview') &amp;&amp;  berryList.length &lt; 13){
+                    if (!YAHOO.util.Dom.get('hideview') &amp;amp;&amp;amp;  berryList.length &lt; 13){
                       while (berries.hasChildNodes()) {
        	                   berries.removeChild(berries.firstChild);
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/classifier.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/classifier.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/classifier.xsl	(revision 24007)
@@ -3,7 +3,6 @@
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:java="http://xml.apache.org/xslt/java"
-  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
-  extension-element-prefixes="java util"
-  exclude-result-prefixes="java util">
+  extension-element-prefixes="java"
+  exclude-result-prefixes="java">
   
   <!-- style includes global params interface_name, library_name -->
@@ -20,5 +19,5 @@
 	<title>
 	  <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
-	  <xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+	  <xsl:text> </xsl:text>
 	</title>
 	<xsl:call-template name="globalStyle"/>
@@ -31,4 +30,5 @@
 	  <xsl:call-template name="greenstoneFooter"/>
 	</div>
+	<xsl:call-template name="pageTitle"/>
       </body>
     </html>
@@ -38,5 +38,5 @@
 
   <xsl:template name="pageTitle">
-    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/>
+    <span class="getTextFor null document.title.gsdl">&amp;amp;nbsp;</span>
   </xsl:template>
 
@@ -48,5 +48,4 @@
     </xsl:if>
   </xsl:template>
-
 
   <xsl:template match="pageResponse">
@@ -61,5 +60,5 @@
     </xsl:call-template>      
   
-    <div id="content">
+    <div id="content" class="moz-output-escape">
       <xsl:apply-templates select="service/classifierList">
         <xsl:with-param name="collName" select="$collName"/>
@@ -88,5 +87,5 @@
 	  </xsl:when>
 	  <xsl:otherwise>
-	    <li><a href="{$library_name}?a=b&amp;rt=r&amp;s={$serviceName}&amp;c={$collName}&amp;cl={@name}"><xsl:value-of select="displayItem[@name='name']"/></a></li></xsl:otherwise></xsl:choose>
+	    <li><a href="{$library_name}?a=b&amp;amp;rt=r&amp;amp;s={$serviceName}&amp;amp;c={$collName}&amp;amp;cl={@name}"><xsl:value-of select="displayItem[@name='name']"/></a></li></xsl:otherwise></xsl:choose>
 	
       </xsl:for-each>
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/classifiertools.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/classifiertools.xsl	(revision 23632)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/classifiertools.xsl	(revision 24007)
@@ -3,7 +3,6 @@
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:java="http://xml.apache.org/xslt/java"
-  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
-  extension-element-prefixes="java util"
-  exclude-result-prefixes="java util">
+  extension-element-prefixes="java"
+  exclude-result-prefixes="java">
   
   <xsl:template match="classifier">
@@ -95,5 +94,5 @@
     <xsl:param name="collName"/>
     <xsl:param name="serviceName"/>
-    <a href="{$library_name}?a=d&amp;c={$collName}&amp;d={@nodeID}&amp;dt={@docType}&amp;p.a=b&amp;p.s={$serviceName}"><xsl:apply-templates select="." mode="displayNodeIcon"/></a><xsl:value-of disable-output-escaping="yes"  select="metadataList/metadata[@name='Title']"/>
+    <a href="{$library_name}?a=d&amp;c={$collName}&amp;d={@nodeID}&amp;dt={@docType}&amp;p.a=b&amp;p.s={$serviceName}"><xsl:apply-templates select="." mode="displayNodeIcon"/></a><xsl:text>Test</xsl:text><xsl:value-of disable-output-escaping="yes"  select="metadataList/metadata[@name='Title']"/>
   </xsl:template>
 
@@ -105,4 +104,5 @@
     <xsl:param name="serviceName"/>
     <a><xsl:attribute name='href'><xsl:value-of select='$library_name'/>?a=b&amp;rt=r&amp;s=<xsl:value-of select='$serviceName'/>&amp;c=<xsl:value-of select='$collName'/>&amp;cl=<xsl:value-of select='@nodeID'/><xsl:if test="classifierNode|documentNode">.pr</xsl:if></xsl:attribute><xsl:call-template name="bookshelfimg"/></a><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/>
+
   </xsl:template>
   
